Index: trunk/src/lib/graphics/importer/material.cc
===================================================================
--- trunk/src/lib/graphics/importer/material.cc	(revision 7674)
+++ trunk/src/lib/graphics/importer/material.cc	(revision 7676)
@@ -291,5 +291,5 @@
 void Material::setDiffuseMap(const std::string& dMap, GLenum target)
 {
-  PRINTF(5)("setting Diffuse Map %s\n", dMap);
+  PRINTF(5)("setting Diffuse Map %s\n", dMap.c_str());
   if (this->diffuseTexture != NULL)
     ResourceManager::getInstance()->unload(this->diffuseTexture);
Index: trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- trunk/src/lib/graphics/importer/objModel.cc	(revision 7674)
+++ trunk/src/lib/graphics/importer/objModel.cc	(revision 7676)
@@ -75,5 +75,5 @@
       this->objPath.erase(len, this->objPath.size());
       this->objPath[len] = '\0';
-      PRINTF(4)("Resolved file %s to Path %s.\n", fileName, this->objPath);
+      PRINTF(4)("Resolved file %s to Path %s.\n", fileName.c_str()), this->objPath.c_str());
     }
   else
Index: trunk/src/lib/graphics/importer/static_model.cc
===================================================================
--- trunk/src/lib/graphics/importer/static_model.cc	(revision 7674)
+++ trunk/src/lib/graphics/importer/static_model.cc	(revision 7676)
@@ -226,5 +226,5 @@
   while (tmpGroup != NULL)
   {
-    PRINTF(5)("Drawing model %s\n", tmpGroup->name);
+    PRINTF(5)("Drawing model %s\n", tmpGroup->name.c_str());
     glCallList (tmpGroup->listNumber);
     tmpGroup = tmpGroup->next;
@@ -253,5 +253,5 @@
     if (counter == groupNumber)
     {
-      PRINTF(4)("Drawing model number %i named %s\n", counter, tmpGroup->name);
+      PRINTF(4)("Drawing model number %i named %s\n", counter, tmpGroup->name.c_str());
       glCallList (tmpGroup->listNumber);
       return;
@@ -368,5 +368,5 @@
 bool StaticModel::addGroup(const std::string& groupString)
 {
-  PRINTF(5)("Read Group: %s.\n", groupString);
+  PRINTF(5)("Read Group: %s.\n", groupString.c_str());
   if (this->groupCount != 0 && this->currentGroup->faceCount > 0)
   {
Index: trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- trunk/src/lib/graphics/importer/texture.cc	(revision 7674)
+++ trunk/src/lib/graphics/importer/texture.cc	(revision 7676)
@@ -90,5 +90,5 @@
       if(tmpSurf != NULL)
       {
-        PRINTF(4)("loading Image %s\n", imageName);
+        PRINTF(4)("loading Image %s\n", imageName.c_str());
         bool hasAlpha;
         SDL_Surface* newSurf = this->prepareSurface(tmpSurf, hasAlpha);
Index: trunk/src/lib/gui/qt_gui/Makefile.am
===================================================================
--- trunk/src/lib/gui/qt_gui/Makefile.am	(revision 7674)
+++ trunk/src/lib/gui/qt_gui/Makefile.am	(revision 7676)
@@ -47,3 +47,3 @@
 
 clean-local:
-	rm *_moc.cc
+	rm -f *_moc.cc
Index: trunk/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 7674)
+++ trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 7676)
@@ -445,5 +445,5 @@
               (*section).entries.back().name.c_str(),
               (*section).entries.back().value.c_str(),
-              (*section).name);
+              (*section).name.c_str());
     this->currentEntry = --(*section).entries.end();
     return true;
Index: trunk/src/lib/shell/shell_input.cc
===================================================================
--- trunk/src/lib/shell/shell_input.cc	(revision 7674)
+++ trunk/src/lib/shell/shell_input.cc	(revision 7676)
@@ -293,5 +293,5 @@
     if (event.bPressed)
     {
-      PRINTF(5)("Shell received command %s\n", SDLKToKeyname(event.type));
+      PRINTF(5)("Shell received command %s\n", SDLKToKeyname(event.type).c_str());
       if (event.type == SDLK_F1)
         this->help();
Index: trunk/src/lib/util/loading/factory.cc
===================================================================
--- trunk/src/lib/util/loading/factory.cc	(revision 7674)
+++ trunk/src/lib/util/loading/factory.cc	(revision 7676)
@@ -150,5 +150,5 @@
   else
   {
-    PRINTF(2)("Could not Fabricate an Object of Class '%s'\n", className);
+    PRINTF(2)("Could not Fabricate an Object of Class '%s'\n", className.c_str());
     return NULL;
   }
Index: trunk/src/lib/util/loading/resource_manager.cc
===================================================================
--- trunk/src/lib/util/loading/resource_manager.cc	(revision 7674)
+++ trunk/src/lib/util/loading/resource_manager.cc	(revision 7676)
@@ -436,5 +436,5 @@
       if(File(fullName).isFile())
       {
-        PRINTF(4)("Image %s resides to %s\n", fileName, fullName);
+        PRINTF(4)("Image %s resides to %s\n", fileName.c_str(), fullName.c_str());
         tmpResource->pointer = new Texture(fullName, tmpResource->param[0].getInt());
       }
@@ -447,5 +447,5 @@
           if(File(imgName).isFile())
           {
-            PRINTF(4)("Image %s resides to %s\n", fileName, imgName);
+            PRINTF(4)("Image %s resides to %s\n", fileName.c_str(), imgName.c_str());
             tmpResource->pointer = new Texture(imgName, tmpResource->param[0].getInt());
             break;
